> For the complete documentation index, see [llms.txt](https://api.koreroplatforms.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.koreroplatforms.io/channel-api/sms-apis/single-message-to-single-msisdn-api.md).

# Single Message to Single MSISDN API

## Single Message to Single MSISDN

<mark style="color:green;">`POST`</mark> `http://api.koreroplatforms.com/omni-sms-api/smspush`

This API is used to push a single SMS notification to a single mobile number

#### Request Body

| Name        | Type   | Description                                                                                         |
| ----------- | ------ | --------------------------------------------------------------------------------------------------- |
| username    | string | The credentials for API access                                                                      |
| password    | string | The credentials for API access                                                                      |
| eid         | string | The principal entity ID assigned by TRAI DLT                                                        |
| tid         | string | The template ID of the message content as provided by TRAI DLT                                      |
| senderId    | string | The unique identifier that is assigned to your account and is to be used to send SMS to recipients. |
| messageType | string | The type of the message                                                                             |
| message     | string | Message text to be sent to recipients.                                                              |
| countryCode | string | Country code of MSISDN                                                                              |
| msisdn      | string | Mobile number to which the message is to be sent.                                                   |

{% tabs %}
{% tab title="200 Success Message." %}

```
{
    "res": [
        {
            "code": "0",
            "description": "Message submitted successfully",
            "messageId": "HS21774718003518757203",
            "msisdn": "9679112120",
            "dateTime": "2021-04-18 00:35:18",
            "status": true
        }
    ]
}
```

{% endtab %}

{% tab title="404 Failure Message." %}

```
{
    "res": [
        {
            "code": "991",
            "description": "Authentication_Failure",
            "messageId": "HS21764116173353128927",
            "msisdn": "9679112120",
            "dateTime": "2021-04-16 17:33:53",
            "status": true
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.koreroplatforms.io/channel-api/sms-apis/single-message-to-single-msisdn-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
